Как установить веб-сервер OpenLiteSpeed ​​в CentOS 8?

Рубрики:

Apache, MySQL, PHP

Метки:

, ,

OpenLiteSpeed ​​— это высокопроизводительный и удобный веб-сервер HTTP с открытым исходным кодом, имеющий интерфейс веб-администрирования для управления веб-сайтами и их обслуживания.

OpenLiteSpeed ​​обладает некоторыми впечатляющими функциями, которые делают его предпочтительным выбором для многих пользователей Linux, поскольку он поставляется с совместимыми с Apache правилами перезаписи и оптимизированной обработкой PHP для сервера, который может обрабатывать тысячи одновременных соединений с низким использованием ЦП и потреблением памяти.

В этой статье мы познакомим вас с процессом установки и настройки OpenLiteSpeed ​​на сервере CentOS 8 с PHP и системой управления базами данных MariaDB.

 

 

Добавление репозитория OpenLiteSpeed

Чтобы установить последнюю версию OpenLiteSpeed, вам нужно добавить официальную информацию о репозитории в нашу систему, выполнив:

 

Install-OpenLiteSpeed-Repository

 

 

Приведенная выше команда rpm обновит список репозиториев yum, на которые мы ссылаемся при поиске и установке пакетов программного обеспечения в системе.

 

 

Установка OpenLiteSpeed ​​Web Server

После того, как в системе будет установлен репозиторий OpenLiteSpeed, мы можем запустить последнюю версию веб-сервера OpenLiteSpeed:

 

Install-OpenLiteSpeed-in-CentOS-8

 

 

Примечание. По умолчанию каталог установки OpenLiteSpeed ​​- /usr/local/lsws.

 

 

Установка и защита системы базы данных MariaDB

Теперь установите систему управления базами данных MariaDB, выполнив следующую команду:

 

Install-MariaDB-in-CentOS-8

 

 

Затем запустите и включите систему базы данных MariaDB, чтобы она автоматически запускалась при загрузке нашего сервера:

 

Start-and-Enable-MariaDB-Service

 

 

Теперь мы можем запустить простой скрипт безопасности для защиты установки MariaDB, установив новый пароль администратора и заблокировав некоторые небезопасные значения по умолчанию:

 

Secure-MariaDB-in-CentOS-8

 

 

Установка препроцессора PHP

Чтобы установить последнюю версию PHP 7.x, вам нужно включить репозиторий EPEL, который установит PHP 7.3 из репозитория OpenLiteSpeed ​​со всеми необходимыми пакетами PHP, которых будет достаточно для запуска наиболее часто используемых веб-приложений:

 

 

Install-PHP-in-CentOS-8

 

 

Изменение пароля администратора по умолчанию в OpenLiteSpeed ​​

Пароль по умолчанию установлен как «123456», нам нужно изменить пароль по умолчанию для OpenLiteSpeed, запустив следующий скрипт:

 

Change-OpenLiteSpeed-Admin-Password

 

 

При желании вы можете установить другое имя пользователя для учетной записи администратора или просто нажать клавишу ВВОД, чтобы оставить значение по умолчанию «admin». Затем установите надежный пароль для администратора, который будет использоваться для управления OpenLiteSpeed ​​из веб-интерфейса.

 

 

Тестирование веб-страницы OpenLiteSpeed ​​и интерфейса администратора

И так, OpenLiteSpeed ​​уже запущен и работает, но если вы хотите запустить, остановить или проверить состояние сервера, вы можете использовать стандартную команду service:

 

 

Если в своей системе вы используете брандмауэр, обязательно откройте порты 8088 и 7080:

 

 

Теперь откройте веб-браузер и перейдите на веб-страницу OpenLiteSpeed ​​по умолчанию, указав доменное имя или IP-адрес вашего сервера, а затем порт “:8088“:

 

OpenLiteSpeed-Web-Page

 

 

Теперь вы можете получить доступ к своему административному интерфейсу, используя HTTPS по адресу порта “:7080“:

 

OpenLiteSpeed-Admin-Login

 

 

После аутентификации вы увидите интерфейс администрирования:

OpenLiteSpeed-Admin-Interface

 

 

Вот и всё! В этой статье мы объяснили, как установить OpenLiteSpeed ​​с оптимизированной версией PHP и MariaDB на сервере CentOS 8. OpenLiteSpeed ​​обеспечивает высокую производительность, простой в использовании интерфейс администратора и предварительно настроенные параметры для запуска сценариев.

 

 

Спасибо за уделенное время на прочтение статьи о том!

Если возникли вопросы, задавайте их в комментариях.

Подписывайтесь на обновления нашего блога и оставайтесь в курсе новостей мира инфокоммуникаций!

Чтобы знать больше и выделяться знаниями среди толпы IT-шников, записывайтесь на курсы Ciscoкурсы по кибербезопасности,  полный курс по кибербезопасностикурсы DevNet (программируемые сети) от Академии Ciscoкурсы Linux от Linux Professional Institute на платформе SEDICOMM University (Университет СЭДИКОММ).

Курсы Cisco, Linux, кибербезопасность, DevOps / DevNet, Python с трудоустройством!

Спешите подать заявку! Группы стартуют 25 января, 26 февраля, 22 марта, 26 апреля, 24 мая, 21 июня, 26 июля, 23 августа, 20 сентября, 25 октября, 22 ноября, 20 декабря.
Что Вы получите?
  • Поможем стать экспертом по сетевой инженерии, кибербезопасности, программируемым сетям и системам и получить международные сертификаты Cisco, Linux LPI, Python Institute.
  • Предлагаем проверенную программу с лучшими учебниками от экспертов из Cisco Networking Academy, Linux Professional Institute и Python Institute, помощь сертифицированных инструкторов и личного куратора.
  • Поможем с трудоустройством и стартом карьеры в сфере IT — 100% наших выпускников трудоустраиваются.
Как проходит обучение?
  • Проведем вечерние онлайн-лекции на нашей платформе.
  • Согласуем с вами удобное время для практик.
  • Если хотите индивидуальный график — обсудим и реализуем.
  • Личный куратор будет на связи, чтобы ответить на вопросы, проконсультировать и мотивировать придерживаться сроков сдачи экзаменов.
  • Всем, кто боится потерять мотивацию и не закончить обучение, предложим общение с профессиональным коучем.
А еще поможем Вам:
  • отредактировать или создать с нуля резюме;
  • подготовиться к техническим интервью;
  • подготовиться к конкурсу на понравившуюся вакансию;
  • устроиться на работу в Cisco по специальной программе. Наши студенты, которые уже работают там: жмите на #НашиВCisco Вконтакте, #НашиВCisco Facebook.
Чтобы учиться на курсах Cisco, Linux LPI, кибербезопасность, DevOps / DevNet, Python, подайте заявку или получите бесплатную консультацию.

Рубрики:

Apache, MySQL, PHP

Метки:

, ,

Больше похожих постов

1 комментарий. Оставить новый

  • # yum install openlitespeed
    после –
    Ошибка:
    Проблема: package openlitespeed-1.6.18-1.el8.x86_64 requires lsphp73-mcrypt, but none of the providers can be installed
    – cannot install the best candidate for the job
    – nothing provides libmcrypt.so.4()(64bit) needed by lsphp73-pecl-mcrypt-1.0.3-1.el8.7.3.x86_64
    (попробуйте добавить «–skip-broken» для пропуска удаляемых пакетов или «–nobest», чтобы использовать не только наилучшие варианты пакетов)

    Ответить

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *

Заполните поле
Заполните поле
Пожалуйста, введите корректный адрес email.
Вы должны согласиться с условиями для продолжения

Поиск по сайту
Лучшее
Популярное
Рубрики
Меню